Textpattern CMS support forum

You are not logged in. Register | Login | Help

#11 2009-08-29 01:54:41

6sigma
Member
From: Memphis, TN, USA
Registered: 2004-05-24
Posts: 160
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

Neko wrote: I guess it’s the new css.php file located in the root of the zip, not in /textpattern.

I admit to not understanding what you meant. I had been following the long-standing upgrade instructions shown at the Textpattern website. The README.TXT file says to copy the css.php file. Once done, all is well.

Apologies for the confusion.


“Well, I, uh, don’t think it’s quite fair to condemn a whole program because of a single slip-up, sir.” General ‘Buck’ Turgidson

Offline

#12 2009-08-29 01:58:30

hicks
Member
From: Portland, OR, USA (ex-UK)
Registered: 2009-05-08
Posts: 106
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

6, you fixed it how again?

Offline

#13 2009-08-29 02:15:29

6sigma
Member
From: Memphis, TN, USA
Registered: 2004-05-24
Posts: 160
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

hicks wrote:

6, you fixed it how again?

Under 4.2.0 there are THREE files that need to get copied to the main installation directory. As has always been the case, index.php and .htaccess are the first two. The new third item to get copied over to the same place is css.php. Once I did that, I was stylin’ again.


“Well, I, uh, don’t think it’s quite fair to condemn a whole program because of a single slip-up, sir.” General ‘Buck’ Turgidson

Offline

#14 2009-08-29 02:39:15

hicks
Member
From: Portland, OR, USA (ex-UK)
Registered: 2009-05-08
Posts: 106
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

Ah. Someone needs to update the “How to Upgrade” instructions.

Thanks.

Offline

#15 2009-08-29 02:49:00

6sigma
Member
From: Memphis, TN, USA
Registered: 2004-05-24
Posts: 160
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

hicks wrote:

Ah. Someone needs to update the “How to Upgrade” instructions. Thanks.

I finally understood my problem once I went to the old faithful README.TXT. Years of upgrading the same way had caused me to trust the website rather than the instructions bundled with 4.2.0.

EDITED: As of Saturday morning (UTC-6) the web site instructions are up to date. Thanks to everybody who is doing the work to make Textpattern a pleasure to work with.

Last edited by 6sigma (2009-08-29 12:39:36)


“Well, I, uh, don’t think it’s quite fair to condemn a whole program because of a single slip-up, sir.” General ‘Buck’ Turgidson

Offline

#16 2009-08-29 06:02:07

mrdale
Moderator
From: Walla Walla
Registered: 2004-11-19
Posts: 2,202
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

Sterling update. Seriously, really superb work.

The only thing it’s missing is cornify

Last edited by mrdale (2009-08-29 06:02:37)

Offline

#17 2009-08-29 08:30:13

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,070
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

bug?

On localhost/live mode, for a very unfinished new design for neme-imca, I get this warning before the <!DOCTYPE html PUBLIC ... declaration:

<br />
<b>Strict Standards</b>:  Only variables should be passed by reference in <b>/Applications/MAMP/htdocs/textpattern/lib/txplib_misc.php(594) : eval()'d code</b> on line <b>1</b><br />

Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | NeMe @ github

Offline

#18 2009-08-29 10:52:07

wet
Developer
From: Lenzing, Austria
Registered: 2005-06-06
Posts: 3,267
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

This message probably stems from a plugin which isn’t yet adapted to PHP 5.3.

Offline

#19 2009-08-29 11:56:49

jstubbs
Moderator
From: Hong Kong
Registered: 2004-12-13
Posts: 2,394
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

Thanks for the release and all the hard work! Not yet installed because wanted to check out the multi-site option. Has anyone used this feature yet, and on Joyent in particular?

Offline

#20 2009-08-29 13:46:54

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 7,070
Website

Re: Feedback to: Textpattern CMS 4.2.0 released

wet wrote:

This message probably stems from a plugin which isn’t yet adapted to PHP 5.3.

Hi Robert,

thanks for your spot on diagnosis
Most possibly true. The error does not appear when I ask MAMP to use PHP 4 instead of PHP 5.2.6

These are my Active plugins. The error appears when I’m in a section but not when on the frontpage:

  • glx_if-0.7 – cannot be it, as it is parsing the frontpage without any errors showing there
  • smd_gallery-0.51 – it is used on the frontpage which returns no errors
  • rss_admin_db_manager-4.3 – backend
  • gbp_permanent_links-0.14.4possible? confirmed.
  • rah_external_output-0.3 – not used yet
  • smd_lib-0.36 – stef could this be it? I don’t think so as it is used by the gallery on the frontpage without errors
  • gbp_admin_library-0.4.669 – possible?

In any case shouldn’t all such error warnings be suppressed on live mode?

> Edit: the error did not appear on the 4.2 release canditate.

Last edited by colak (2009-08-29 14:40:35)


Yiannis
——————————
neme.org | hblack.net | LABS | State Machines | NeMe @ github

Offline

Board footer

Powered by FluxBB